package com.ruoyi.project.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.system.mapper.SysPlantMapper;
import com.ruoyi.project.system.domain.SysPlant;
import com.ruoyi.project.system.service.ISysPlantService;

/**
 * 装置管理Service业务层处理
 *
 * @author ruoyi
 * @date 2021-06-23
 */
@Service
public class SysPlantServiceImpl implements ISysPlantService
{
    @Autowired
    private SysPlantMapper sysPlantMapper;

    /**
     * 查询装置管理
     *
     * @param plantId 装置管理ID
     * @return 装置管理
     */
    @Override
    public SysPlant selectSysPlantById(Long plantId)
    {
        return sysPlantMapper.selectSysPlantById(plantId);
    }

    /**
     * 查询装置管理列表
     *
     * @param sysPlant 装置管理
     * @return 装置管理
     */
    @Override
    public List<SysPlant> selectSysPlantList(SysPlant sysPlant)
    {
        return sysPlantMapper.selectSysPlantList(sysPlant);
    }

    /**
     * 新增装置管理
     *
     * @param sysPlant 装置管理
     * @return 结果
     */
    @Override
    public int insertSysPlant(SysPlant sysPlant)
    {
        return sysPlantMapper.insertSysPlant(sysPlant);
    }

    /**
     * 修改装置管理
     *
     * @param sysPlant 装置管理
     * @return 结果
     */
    @Override
    public int updateSysPlant(SysPlant sysPlant)
    {
        return sysPlantMapper.updateSysPlant(sysPlant);
    }

    /**
     * 批量删除装置管理
     *
     * @param plantIds 需要删除的装置管理ID
     * @return 结果
     */
    @Override
    public int deleteSysPlantByIds(Long[] plantIds)
    {
        return sysPlantMapper.deleteSysPlantByIds(plantIds);
    }

    /**
     * 删除装置管理信息
     *
     * @param plantId 装置管理ID
     * @return 结果
     */
    @Override
    public int deleteSysPlantById(Long plantId)
    {
        return sysPlantMapper.deleteSysPlantById(plantId);
    }

    @Override
    public List<SysPlant> selectSysPlantByPlants(List plantIds) {
        return sysPlantMapper.selectSysPlantByPlants(plantIds);
    }

    @Override
    public List<SysPlant> selectSysMyPlantList(SysPlant sysPlant) {
        return sysPlantMapper.selectMySysPlantList(sysPlant);
    }

    @Override
    public List<SysPlant> selectSysMyPlantList3(SysPlant sysPlant) {
        return sysPlantMapper.selectMySysPlantList3(sysPlant);
    }

    @Override
    public List<SysPlant> selectSysPlantByParentId(SysPlant sysPlant) {
        return sysPlantMapper.selectSysPlantByParentId(sysPlant);
    }

    @Override
    public List<SysPlant> selectSysPlantByDeptId(Long deptId) {
        return sysPlantMapper.selectSysPlantByDeptId(deptId);
    }
}
